libzypp 17.37.10

keyringwf.cc File Reference
`#include "keyringwf.h"`
`#include "logichelpers.h"`
`#include <zypp/ng/workflows/contextfacade.h>`
`#include <zypp/zypp_detail/keyring_p.h>`
`#include <zypp/RepoInfo.h>`
`#include <zypp/ZConfig.h>`
`#include <zypp/Pathname.h>`
`#include <zypp-common/PublicKey.h>`
`#include <zypp-core/base/Gettext.h>`
`#include <utility>`
`#include <zypp-core/zyppng/pipelines/Expected>`
`#include <zypp/ng/workflows/repoinfowf.h>`
`#include <zypp/ng/Context>`
`#include <zypp/ng/reporthelper.h>`
`#include <zypp/ng/UserRequest>`

Go to the source code of this file.

## Classes
struct | zyppng::KeyRingWorkflow::ImportKeyFromRepoLogic< Executor, OpType >

## Namespaces
namespace | zyppng
namespace | zyppng::KeyRingWorkflow

## Functions
bool | zyppng::KeyRingWorkflow::provideAndImportKeyFromRepository (SyncContextRef ctx, std::string id_r, zypp::RepoInfo info_r)
| Try to find the id in key cache or repository specified in info.
AsyncOpRef< bool > | zyppng::KeyRingWorkflow::provideAndImportKeyFromRepository (ContextRef ctx, std::string id_r, zypp::RepoInfo info_r)
std::pair< bool, zypp::keyring::VerifyFileContext > | zyppng::KeyRingWorkflow::verifyFileSignature (SyncContextRef zyppContext, zypp::keyring::VerifyFileContext &&context_r)
| Follows a signature verification interacting with the user.
AsyncOpRef< std::pair< bool, zypp::keyring::VerifyFileContext > > | zyppng::KeyRingWorkflow::verifyFileSignature (ContextRef zyppContext, zypp::keyring::VerifyFileContext &&context_r)
std::pair< bool, zypp::keyring::VerifyFileContext > | zyppng::KeyRingWorkflow::verifyFileSignature (SyncContextRef zyppContext, zypp::KeyRing_Ptr keyRing, zypp::keyring::VerifyFileContext &&context_r)
AsyncOpRef< std::pair< bool, zypp::keyring::VerifyFileContext > > | zyppng::KeyRingWorkflow::verifyFileSignature (ContextRef zyppContext, zypp::KeyRing_Ptr keyRing, zypp::keyring::VerifyFileContext &&context_r)